<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NS](./bitburner.ns.md) &gt; [pid](./bitburner.ns.pid.md)

## NS.pid property

The current script's PID

**Signature:**

```typescript
readonly pid: number;
```
